<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">

        <h:panelGrid columns="1" cellpadding="5">

            <p>Name: #{metrikBean.metrik.name}</p>
            <p>Type: #{metrikBean.metrik.type.label}</p>

            <h:panelGrid columns="1" rendered="#{metrikBean.valuesExists()}">
                <p:dataTable var="metrikValue" value="#{metrikBean.metrikValues()}"
                             rows="12" paginator="true" id="metrikValues" paginationPosition="bottom"
                             paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                             rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                    <p:column headerText="#" width="50">
                        <h:outputText value="#{rowIndex + 1}"/>
                    </p:column>
                    <p:column headerText="Value">
                        <h:outputText value="#{metrikValue.value}"/>
                    </p:column>
                    <p:column headerText="Time stamp">
                        <h:outputText value="#{metrikValue.timeStamp}"/>
                    </p:column>
                </p:dataTable>
            </h:panelGrid>

            <p:linkButton outcome="pretty:viewJob" styleClass="buttons" value="Back"/>

        </h:panelGrid>

    </ui:define>

</ui:composition>